--- gaim.SlackBuild	2006-04-03 20:46:57.000000000 -0400
+++ gaim.SlackBuild.s390x	2006-08-19 22:34:45.000000000 -0400
@@ -11,7 +11,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -31,12 +31,16 @@
 CXXFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
+  --with-tclconfig=/usr/lib64 \
   --program-prefix="" \
   --program-suffix="" \
   $ARCH-slackware-linux
 make -j4
 make install DESTDIR=$PKG
 
+chown -R root:bin $PKG/usr/bin
+
 if [ -f $PKG/Gaim.pm ]; then # GAIM's perl module installer must be smoking crack
   mkdir -p $PKG/usr/lib/perl5/5.8.8/i486-linux $PKG/usr/man/man3
   mv $PKG/Gaim.pm $PKG/usr/lib/perl5/5.8.8/i486-linux
@@ -51,6 +55,7 @@
   cd gaim-encryption-$GAIMENC
   ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --disable-static \
   --with-gaim=/tmp/gaim-$VERSION \
   --program-prefix="" \
